#! /bin/bash

set -e

. ./pika-build-config.sh

echo "$PIKA_BUILD_ARCH" > pika-build-arch

VERSION="0.1.0pop1"

# Clone Upstream
git clone https://github.com/pop-os/xdg-desktop-portal-cosmic.git
cd xdg-desktop-portal-cosmic

# Get build deps
LOGNAME=root dh_make --createorig -y -l -p xdg-desktop-portal-cosmic_"$VERSION" || echo "dh-make: Ignoring Last Error"
apt-get build-dep ./ -y

# Build package
dpkg-buildpackage --no-sign

# Move the debs to output
cd ../
mkdir -p ./output
mv ./*.deb ./output/
